<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>SPADE Hourly Transfers</title>
</head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="../code.jquery.com/mobile/spade.min.css" />
<link rel="stylesheet"
	href="../code.jquery.com/mobile/jquery.mobile.icons.min.css" />
<link rel="stylesheet"
	href="https://code.jquery.com/mobile/1.4.5/jquery.mobile.structure-1.4.5.min.css" />
<script src="https://code.jquery.com/jquery-2.1.4.min.js"></script>
<script
	src="https://code.jquery.com/mobile/1.4.5/jquery.mobile-1.4.5.min.js"></script>
<script src="../scripts/bootstrap.js" type="text/javascript"></script>
<script type="text/javascript">
	var query_defaults = {
		'instance' : 'local',
		'interval' : '31'
	}

	// Add a script element as a child of the body
	function downloadJSAtOnload() {
		// From bootstrap.js
		scriptLoader.load([ '../scripts/date_manipulation.js',
				'../scripts/spade_controls.js', '../scripts/counts.js',
				'../scripts/startCounts.js' ]);
	}

	var query_defaults = {
		'instance' : 'local',
		'interval' : '31',
		'selection' : 'activity'
	}
	var chart1;
	var latestStamp = null;

	// Check for browser support of event handling capability
	if (window.addEventListener) {
		window.addEventListener("load", downloadJSAtOnload, false);
	} else if (window.attachEvent) {
		window.attachEvent("onload", downloadJSAtOnload);
	} else {
		window.onload = downloadJSAtOnload;
	}
</script>
</head>
<body>
	<div id="daily_transfers_page" data-role="page"
		data-add-back-btn="true">
		<div data-role="header">
			<h1>SPADE Hourly Transfers</h1>
		</div>
		<!-- /header -->
		<div data-role="content">
			<table class="daily_transfers_table" style="width: 100%;">
				<tbody>
					<tr>
						<td><iframe id="daily_transfers_plot" class="count_frame"
								src="splash.html" style="width: 100%; height: 416px"></iframe></td>
					</tr>
				</tbody>
			</table>
		</div>
		<!-- /content -->
	</div>
	<!-- /page -->
	<script type="text/javascript">
		// Variable used to enable local file testing.
		var localTest = ("file:" == window.location.protocol);

		function downloadJSAtOnload() {
			var conjuntion;
			if (null == window.location.search || '' == window.location.search) {
				conjunction = '?';
			} else {
				conjunction = window.location.search + '&';
			}
			$('#daily_transfers_plot').attr(
					'src',
					'chart.html' + conjunction
							+ 'mode=daily&quantity=transfers');
		}

		// Check for browser support of event handling capability
		if (window.addEventListener) {
			window.addEventListener("load", downloadJSAtOnload, false);
		} else if (window.attachEvent) {
			window.attachEvent("onload", downloadJSAtOnload);
		} else {
			window.onload = downloadJSAtOnload;
		}
	</script>
</body>
</html>
